# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-plugins/xmms-wmdiscotux/xmms-wmdiscotux-1.3.ebuild,v 1.10 2005/09/14 06:52:12 agriffis Exp $

inherit eutils

IUSE=""

MY_P=${P/xmms-}
S=${WORKDIR}/${MY_P}
DESCRIPTION="XMMS Root Visualization Plugin is a little XMMS plugin that draws a spectrum analyzer directly to the background (root window) of X."
HOMEPAGE="http://fopref.meinungsverstaerker.de/xmms-rootvis/"
SRC_URI="http://fopref.meinungsverstaerker.de/xmms-rootvis/${P}.tar.gz"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="alpha amd64 ~hppa ppc sparc x86"

DEPEND="media-sound/xmms"
KEYWORDS="~x86"

S=${WORKDIR}/${P}

src_compile() {
	econf || die
    emake || die "emake failed"
}

src_install() {
	make DESTDIR=${D} install || die
}
